## org.springframework.expression
Interface TypeLocator

All Known Implementing Classes:
  StandardTypeLocator

    public interface TypeLocator

Implementors of this interface are expected to be able to locate types. They may use custom classloaders or the and deal with common package prefixes (java.lang, etc) however they wish. See `StandardTypeLocator` for an example implementation.

Since:
  3.0
Author:
  Andy Clement

Method Summary
`Class<?>` `findType(String typename)` Find a type by name.

Method Detail

### findType

    Class<?> findType(String typename)
                      throws EvaluationException

  Find a type by name. The name may or may not be fully qualified (eg. String or java.lang.String)

  Parameters:
    `typename` - the type to be located
  Returns:
    the class object representing that type
  Throws:
    `EvaluationException` - if there is a problem finding it